Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Fields | Ctors | Inherited Methods | [Expand All]
public class

# SearchableField

extends Object

java.lang.Object
↳ | com.google.android.gms.drive.query.SearchableField

## Class Overview

An attribute of the file that is to be searched.

## Summary

Fields
public static final MetadataField<String> | MIME_TYPE | The MIME type of the item.
public static final OrderedMetadataField<Date> | MODIFIED_DATE | The date when the item was most recently modified.
public static final CollectionMetadataField<DriveId> | PARENTS | The IDs of the parent folders (if any) of the item.
public static final MetadataField<Boolean> | STARRED | Whether the user has starred the item.
public static final MetadataField<String> | TITLE | The title of the item.
public static final MetadataField<Boolean> | TRASHED | Whether the item is in the trash.

Public Constructors
| SearchableField()

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

## Fields

#### public static final MetadataField<String> MIME_TYPE

The MIME type of the item.

#### public static final OrderedMetadataField<Date> MODIFIED_DATE

The date when the item was most recently modified.

#### public static final CollectionMetadataField<DriveId> PARENTS

The IDs of the parent folders (if any) of the item.

#### public static final MetadataField<Boolean> STARRED

Whether the user has starred the item.

#### public static final MetadataField<String> TITLE

The title of the item.

#### public static final MetadataField<Boolean> TRASHED

Whether the item is in the trash.

## Public Constructors

#### public SearchableField ()